Overview | Library | Tag | Help
| FRAMES NO FRAMES

## ICEfaces-EE ACE Components
Tag chart

Render a HTML <canvas&rt; data visualization using a Java interface to the jqPlot charting API. A List of ChartSeries subclasses define the data and its representation in the visualization.

For more information, see the Chart Wiki Documentation.

Client Events
Name | Description | Supported classes for argument
click | Fired when data point is clicked plot. | javax.faces.event.AjaxBehaviorEvent
dragStart | Fired when a drag has begun on a particular drag-enabled plot data point. | javax.faces.event.AjaxBehaviorEvent
dragStop | Fired when a drag has ceased on a particular drag-enabled plot data point. | javax.faces.event.AjaxBehaviorEvent
mouseInData | Fired when the mouse is inside a filled plot region. | javax.faces.event.AjaxBehaviorEvent
mouseOutData | Fired when the mouse is outside a filled plot region. | javax.faces.event.AjaxBehaviorEvent
showHighlighter | Fired when the highlighter is being displayed by the mouse being near an enabled data point. | javax.faces.event.AjaxBehaviorEvent
hideHighlighter | Fired when the highlighter is being hidden by the mouse moving away from an enabled data point. | javax.faces.event.AjaxBehaviorEvent

Client events can be used with Client Behaviors and the ace:ajax tag.

Tag Information
Tag Class | org.icefaces.ace.component.chart.ChartTag
TagExtraInfo Class | None
Body Content | JSP
Display Name | None

Attributes
Name | Required | Request-time | Type | Description
animated | no | true | `java.lang.Boolean` | Enables the draw animation behaviour of the chart. By default is enabled for all browsers but IE8 and lower for performanceconcerns.
binding | no | true | `javax.el.ValueExpression` | Using an EL expression, bind the component reference to a bean property, so that the component may be accessed in the bean.
cursor | no | true | `java.lang.Boolean` | Enable a crosshair cursor on the chart.
defaultAxesConfig | no | true | `org.icefaces.ace.component.chart.Axis` | Define a Axis whose configuration is used where other axes have not made an explicit configuration.
defaultSeriesColors | no | true | `java.lang.String[]` | Allows users to specify default color series for all graphs, rather than by specifying per chart. See 'seriesColors' attribute in CartesianSeries to override the colors used per chart. If there are more series than colors, colors will wrap around and start at the beginning again. If empty will use default colors from jqPlot.
defaultSeriesConfig | no | true | `org.icefaces.ace.model.chart.ChartSeries` | Define a ChartSeries whose configuration is used where other ChartSeries have not made an explicit configuration. The data of this ChartSeries is irrelevant. If defined, this ChartSeries should explicitly have the typefield set, this will be used as the default type for all series which have not explicitly defined a type. If undefined the default type is determined by theChartSeries.getDefaultType() of the first attached series.
height | no | true | `java.lang.Integer` | Define the height of the entire chart region in pixels.
hiddenInitPolling | no | true | `java.lang.Boolean` | Enable the default handling of the chart when rendered into a hidden page region. Thechart polls its hidden status, looking for when it is shown, and then completes its initialization.This can be expensive in environments of reduced JavaScript performance with many charts and a complex DOM.When this is disabled, upon revealing a chart, to ensure it is correctly displayed, 'chartWidgetvar.replot()' must be called. Default = 'true'.
highlighter | no | true | `java.lang.Boolean` | Enables drawing an info string at the cursor position when hovering at data points. Default configuration displays x, y values.
highlighterAxes | no | true | `org.icefaces.ace.component.chart.HighlighterTooltipAxes` | Defines the point values passed to the highlighter tooltip, either X, Y, XY or YX. Default is XY.
highlighterBringSeriesToFront | no | true | `java.lang.Boolean` | Enables the highlighted series being temporarily reordered to be entirely visible.
highlighterFormatString | no | true | `java.lang.String` | Defines a format string populated with the x, y values indicated by the highlighterAxes. Takes C-style string format options ex. 'Date: %s, number of cats: %d'
highlighterLocation | no | true | `org.icefaces.ace.component.chart.Location` | Defines the direction the highlighter tooltip is located relative to the cursor. Is 'NW' by default.
highlighterShowMarker | no | true | `java.lang.Boolean` | Enables drawing an 'active' styled point marker while the highlighter tooltip is shown. Is true by default.
highlighterYValueCount | no | true | `java.lang.Integer` | Defines how many Y values a highlighter should expect in the data points array. Typically this is 1. Certain plots, like OHLC, will have more y values in each data point array and will need this property adjusted to parse correctly.
id | no | true | `java.lang.String` | The component identifier for this component. This value must be unique within the closest parent component that is a naming container.
imageExportListener | no | true | `javax.el.MethodExpression` | MethodExpression reference called whenever an exportToServer() call is made for this chart in the client side. The method receives a single argument, ChartImageExportEvent. The bytes representing the PNG image are obtained as a byte array by calling getBytes() on the ChartImageExportEvent object.
legend | no | true | `java.lang.Boolean` | Enabling displays the legend.
legendLocation | no | true | `org.icefaces.ace.component.chart.Location` | Defines the location of legend relative to the bounds of the chart. All of the cardinal directions are available in the following format: N, NE, E, SE, S, etc.
legendPlacement | no | true | `org.icefaces.ace.component.chart.LegendPlacement` | Defines the placement of the legend relative to the content of the chart. The available configurations are: INSIDE_GRID, OUTSIDE_GRID and OUTSIDE
pointChangeListener | no | true | `javax.el.MethodExpression` | MethodExpression reference called whenever a series element is dragged to a new x or y value. The method receives a single argument, PointValueChangeEvent.
rendered | no | true | `boolean` | Return true if this component (and its children) should be rendered during the Render Response phase of the request processing lifecycle. Default = 'true'.
selectListener | no | true | `javax.el.MethodExpression` | MethodExpression reference called whenever a series element is selected. The method receives a single argument, SeriesSelectionEvent.
showTooltip | no | true | `java.lang.Boolean` | Enable display of a legend regarding the coordinates of the cursor. The 'cursor' property must be enabled to use this property.
stackSeries | no | true | `java.lang.Boolean` | Enables a stack or "mountain" plot. Not all types of series may support this mode. Default = 'false'.
style | no | true | `java.lang.String` | Define CSS inline style for the chart container.
title | no | true | `java.lang.String` | Define a title of the entire chart.
value | no | true | `java.lang.Object` | Define an individual instance or List of ChartSeries objects to draw on this plot.
widgetVar | no | true | `java.lang.String` | The JavaScript global component instance name. Must be unique among components on a page.
width | no | true | `java.lang.Integer` | Define the width of the entire chart region in pixels.
x2Axis | no | true | `org.icefaces.ace.component.chart.Axis` | Defines the configuration of the x1 axis. Attempts are made to interpret a configuration if undefined.
xAxis | no | true | `org.icefaces.ace.component.chart.Axis` | Defines the configuration of the x axis. Attempts are made to interpret a configuration if undefined.
yAxes | no | true | `org.icefaces.ace.component.chart.Axis[]` | Defines the configuration of the y axes (up to 9). Attempts are made to interpret a configuration if undefined.
zoom | no | true | `java.lang.Boolean` | Enable click+drag selection of a range on the chart using the cursor. The 'cursor' property must be enabled to use this property.

Variables
| No Variables Defined.

Overview | Library | Tag | Help
| FRAMES NO FRAMES

Output Generated by Tag Library Documentation Generator. Java, JSP, and JavaServer Pages are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries. Copyright 2002-4 Sun Microsystems, Inc. 4150 Network Circle Santa Clara, CA 95054, U.S.A. All Rights Reserved.